{
    "$graph": [
        {
            "label": "final_bact_asn",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "cleaned-annotation.mft",
                            "entry": "${var blob = ''; for (var i = 0; i < inputs.annotation.length; i++) { blob += inputs.annotation[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "submit_block_template.mft",
                            "entry": "${var blob = ''; for (var i = 0; i < inputs.submit_block_template.length; i++) { blob += inputs.submit_block_template[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "final_bact_asn",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#final_bact_asn.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "cleaned-annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#final_bact_asn.cwl/annotation_mft"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#final_bact_asn.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#final_bact_asn.cwl/gc_assembly"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#final_bact_asn.cwl/it"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-master-desc"
                    },
                    "id": "#final_bact_asn.cwl/master_desc"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#final_bact_asn.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "annot-full.ent",
                    "inputBinding": {
                        "prefix": "-outfull"
                    },
                    "id": "#final_bact_asn.cwl/outfull_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-submission-mode-genbank"
                    },
                    "id": "#final_bact_asn.cwl/submission_mode_genbank"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#final_bact_asn.cwl/submit_block_template"
                },
                {
                    "type": "string",
                    "default": "submit_block_template.mft",
                    "inputBinding": {
                        "prefix": "-submit-block-template"
                    },
                    "id": "#final_bact_asn.cwl/submit_block_template_mft"
                }
            ],
            "id": "#final_bact_asn.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfull_name)"
                    },
                    "id": "#final_bact_asn.cwl/outfull"
                }
            ]
        },
        {
            "label": "PGAP Pipeline",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/annotation"
                },
                {
                    "type": "File",
                    "id": "#main/gencoll"
                },
                {
                    "type": "File",
                    "id": "#main/master_desc"
                },
                {
                    "type": "Directory",
                    "id": "#main/sequence_cache"
                },
                {
                    "type": "File",
                    "id": "#main/submit_block_template"
                }
            ],
            "steps": [
                {
                    "run": "#final_bact_asn.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/annotation"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/test/annotation"
                        },
                        {
                            "source": "#main/sequence_cache",
                            "id": "#main/test/asn_cache"
                        },
                        {
                            "source": "#main/gencoll",
                            "id": "#main/test/gc_assembly"
                        },
                        {
                            "default": true,
                            "id": "#main/test/it"
                        },
                        {
                            "source": "#main/master_desc",
                            "id": "#main/test/master_desc"
                        },
                        {
                            "default": true,
                            "id": "#main/test/nogenbank"
                        },
                        {
                            "default": true,
                            "id": "#main/test/submission_mode_genbank"
                        },
                        {
                            "source": [
                                "#main/submit_block_template"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/test/submit_block_template"
                        }
                    ],
                    "out": [
                        "#main/test/outfull"
                    ],
                    "id": "#main/test"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/test/outfull",
                    "id": "#main/gbent"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
